<template>
  <div class="wraper">
    <groupMenu :links="links" :activeLink="activeLink" />
    <bubbles :groupBy="activeLink.layout" />
  </div>
</template>

<script>
const _ = require('lodash');
const LINKS = [
    {
      name: 'None',
      path: '',
      layout: 'total'
    },
    {
      name: 'By country',
      path: '/country',
      layout: 'country'
    },
    {
      name: 'By day',
      path: '/day',
      layout: 'day'
    }
  ].map(d => {
    d.path = '#/' + MY_URL_PREFIX + d.path;
    d.active = false;
    return d;
  });
export default {
  components: {
    groupMenu: menu,
    bubbles: bubbles
  },
  data: function() {
    return {
      activeLink: this.findActiveLink()
    }
  },
  computed: {
    links: function() {
      return LINKS;
    }
  },
  methods: {
    findActiveLink: function() {
      _.each(LINKS, l => {
        l.active = false;
      })
      var link = _.find(LINKS, l => l.path == '#' + this.$route.path);
      if(!link) {
        link = LINKS[0];
      }
      return link;
    }
  },
  watch: {
    '$route' (to, from) {
      this.activeLink = this.findActiveLink();
    }
  }
}
</script>

<style scoped>
  .wrapper {
    width: 500px;
    margin: auto;
  }
  .menu ul {
    padding: 0;
    margin: 0;
  }
  .menu li {
    text-align: left;
  }
</style>